"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const apollo_server_express_1 = require("apollo-server-express");
const ava_1 = __importDefault(require("ava"));
const graphql_request_1 = __importDefault(require("graphql-request"));
const createGraphqlServer_1 = __importDefault(require("../helpers/createGraphqlServer"));
ava_1.default('test GraphQL server', async (t) => {
    const schema = apollo_server_express_1.makeExecutableSchema({
        resolvers: {
            Query: {
                foo: () => {
                    return 'bar';
                },
            },
        },
        typeDefs: apollo_server_express_1.gql `
      type Query {
        foo: String
      }
    `,
    });
    const graphqlServer = await createGraphqlServer_1.default({
        schema,
    });
    const response = await graphql_request_1.default(graphqlServer.url, apollo_server_express_1.gql `
    {
      foo
    }
  `);
    t.deepEqual(response, {
        foo: 'bar',
    });
    await graphqlServer.stop();
});
