"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const apollo_server_express_1 = require("apollo-server-express");
const express_1 = __importDefault(require("express"));
const http_terminator_1 = require("http-terminator");
exports.default = async ({ schema }) => {
    const apolloServer = new apollo_server_express_1.ApolloServer({
        schema,
    });
    const expressApp = express_1.default();
    apolloServer.applyMiddleware({
        app: expressApp,
    });
    const httpServer = await new Promise((resolve) => {
        // eslint-disable-next-line @typescript-eslint/naming-convention, id-match
        const httpServer_ = expressApp.listen(() => {
            resolve(httpServer_);
        });
    });
    const httpTerminator = http_terminator_1.createHttpTerminator({
        server: httpServer,
    });
    return {
        stop: () => {
            return httpTerminator.terminate();
        },
        url: 'http://127.0.0.1:' + httpServer.address().port + apolloServer.graphqlPath,
    };
};
