"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const apollo_server_express_1 = require("apollo-server-express");
const graphql_middleware_1 = require("graphql-middleware");
const src_1 = require("../../src");
exports.default = ({ lazyLoadMap, typeDefs, resolvers }) => {
    const originalSchema = apollo_server_express_1.makeExecutableSchema({
        resolvers,
        typeDefs,
    });
    const lazyLoadMiddleware = src_1.createLazyLoadMiddleware(lazyLoadMap);
    return graphql_middleware_1.applyMiddleware(originalSchema, lazyLoadMiddleware);
};
